#include "../ui.h"

void ui_MainScreen_screen_init(void)
{
    ui_MainScreen = lv_obj_create(NULL);
    lv_obj_clear_flag(ui_MainScreen, LV_OBJ_FLAG_SCROLLABLE);      /// Flags

    ui_MainScreenOnPanel = lv_obj_create(ui_MainScreen);
    lv_obj_set_width(ui_MainScreenOnPanel, 480);
    lv_obj_set_height(ui_MainScreenOnPanel, 480);
    lv_obj_set_align(ui_MainScreenOnPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_MainScreenOnPanel, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MainScreenOnPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenOnPanel, lv_color_hex(0x171819), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenOnPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_MainScreenOnPanel, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_MainScreenOnPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_MainScreenOnPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_MainScreenOnPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_MainScreenOnPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_MainScreenOnPanel, &ui_img_1_fan1_png, LV_PART_MAIN | LV_STATE_USER_1);
    lv_obj_set_style_bg_img_src(ui_MainScreenOnPanel, &ui_img_1_fan2_png, LV_PART_MAIN | LV_STATE_USER_2);
    lv_obj_set_style_bg_img_src(ui_MainScreenOnPanel, &ui_img_1_fan3_png, LV_PART_MAIN | LV_STATE_USER_3);

    ui_SaswellPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_SaswellPanel, 100);
    lv_obj_set_height(ui_SaswellPanel, 30);
    lv_obj_set_x(ui_SaswellPanel, -172);
    lv_obj_set_y(ui_SaswellPanel, -200);
    lv_obj_set_align(ui_SaswellPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_SaswellPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_SaswellPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_SaswellPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_SaswellPanel, &ui_img_saswell_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_SaswellPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_SaswellPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_SaswellPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_SaswellPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_SaswellPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_SaswellPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ChildLockIconPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_ChildLockIconPanel, 31);
    lv_obj_set_height(ui_ChildLockIconPanel, 30);
    lv_obj_set_x(ui_ChildLockIconPanel, 107);
    lv_obj_set_y(ui_ChildLockIconPanel, -205);
    lv_obj_set_align(ui_ChildLockIconPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_ChildLockIconPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ChildLockIconPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ChildLockIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_ChildLockIconPanel, &ui_img_1_child_lock_icon_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ChildLockIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ChildLockIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_ChildLockIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_ChildLockIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_WifiIconPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_WifiIconPanel, 31);
    lv_obj_set_height(ui_WifiIconPanel, 28);
    lv_obj_set_x(ui_WifiIconPanel, 66);
    lv_obj_set_y(ui_WifiIconPanel, -205);
    lv_obj_set_align(ui_WifiIconPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_WifiIconPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_WifiIconPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_WifiIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_WifiIconPanel, &ui_img_1_wifi_icon_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_WifiIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_WifiIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_WifiIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_WifiIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_WifiIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_WifiIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ECOIconPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_ECOIconPanel, 62);
    lv_obj_set_height(ui_ECOIconPanel, 30);
    lv_obj_set_x(ui_ECOIconPanel, 6);
    lv_obj_set_y(ui_ECOIconPanel, -205);
    lv_obj_set_align(ui_ECOIconPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_ECOIconPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ECOIconPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ECOIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_ECOIconPanel, &ui_img_1_eco_icon_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ECOIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ECOIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_ECOIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_ECOIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_ECOIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_ECOIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenTimeLable = lv_label_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenTimeLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MainScreenTimeLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_MainScreenTimeLable, 176);
    lv_obj_set_y(ui_MainScreenTimeLable, -205);
    lv_obj_set_align(ui_MainScreenTimeLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_MainScreenTimeLable, "09:00");
    lv_obj_set_style_text_font(ui_MainScreenTimeLable, &ui_font_SourceHanSansCNRegular31, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenError1Label = lv_label_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenError1Label, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MainScreenError1Label, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_MainScreenError1Label, 374);
    lv_obj_set_y(ui_MainScreenError1Label, 59);
    lv_label_set_text(ui_MainScreenError1Label, "E1");
    lv_obj_set_style_text_color(ui_MainScreenError1Label, lv_color_hex(0xFF0000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_MainScreenError1Label, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_MainScreenError1Label, &ui_font_SourceHanSansCNRegular27,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenError2Label = lv_label_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenError2Label, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MainScreenError2Label, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_MainScreenError2Label, 408);
    lv_obj_set_y(ui_MainScreenError2Label, 59);
    lv_label_set_text(ui_MainScreenError2Label, "E2");
    lv_obj_set_style_text_color(ui_MainScreenError2Label, lv_color_hex(0xFF0000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_MainScreenError2Label, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_MainScreenError2Label, &ui_font_SourceHanSansCNRegular27,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenValveOpenDegreePanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenValveOpenDegreePanel, 20);
    lv_obj_set_height(ui_MainScreenValveOpenDegreePanel, 20);
    lv_obj_set_x(ui_MainScreenValveOpenDegreePanel, 150);
    lv_obj_set_y(ui_MainScreenValveOpenDegreePanel, -78);
    lv_obj_set_align(ui_MainScreenValveOpenDegreePanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_MainScreenValveOpenDegreePanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MainScreenValveOpenDegreePanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenValveOpenDegreePanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenValveOpenDegreePanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_MainScreenValveOpenDegreePanel, &ui_img_21_valve_icon_png,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_MainScreenValveOpenDegreePanel, lv_color_hex(0x000000),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_MainScreenValveOpenDegreePanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenOpenLabel = lv_label_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenOpenLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MainScreenOpenLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_MainScreenOpenLabel, -6);
    lv_obj_set_y(ui_MainScreenOpenLabel, -75);
    lv_obj_set_align(ui_MainScreenOpenLabel, LV_ALIGN_RIGHT_MID);
    lv_label_set_text(ui_MainScreenOpenLabel, "100%");
    lv_obj_set_style_text_font(ui_MainScreenOpenLabel, &ui_font_SourceHanSansCNRegular19, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenProgramModeLabel = lv_label_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenProgramModeLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MainScreenProgramModeLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_MainScreenProgramModeLabel, -6);
    lv_obj_set_y(ui_MainScreenProgramModeLabel, -50);
    lv_obj_set_align(ui_MainScreenProgramModeLabel, LV_ALIGN_RIGHT_MID);
    lv_label_set_text(ui_MainScreenProgramModeLabel, "Sleep Mode");
    lv_obj_set_style_text_font(ui_MainScreenProgramModeLabel, &ui_font_SourceHanSansCNRegular19,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ModebackgroundPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_ModebackgroundPanel, 160);
    lv_obj_set_height(ui_ModebackgroundPanel, 160);
    lv_obj_set_x(ui_ModebackgroundPanel, -45);
    lv_obj_set_y(ui_ModebackgroundPanel, -79);
    lv_obj_set_align(ui_ModebackgroundPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_ModebackgroundPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ModebackgroundPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ModebackgroundPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_ModebackgroundPanel, &ui_img_mode_cool_background_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ModebackgroundPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ModebackgroundPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_ModebackgroundPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_ModebackgroundPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_ModebackgroundPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_ModebackgroundPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_CurrentTemphintLabel = lv_label_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_CurrentTemphintLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_CurrentTemphintLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_CurrentTemphintLabel, -132);
    lv_obj_set_y(ui_CurrentTemphintLabel, -124);
    lv_obj_set_align(ui_CurrentTemphintLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_CurrentTemphintLabel, "Current Temp");
    lv_obj_set_style_text_color(ui_CurrentTemphintLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_CurrentTemphintLabel, 148, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_CurrentTemphintLabel, &ui_font_SourceHanSansCNRegular22, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_CurrentTempNumbLable = lv_label_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_CurrentTempNumbLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_CurrentTempNumbLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_CurrentTempNumbLable, 28);
    lv_obj_set_y(ui_CurrentTempNumbLable, -53);
    lv_obj_set_align(ui_CurrentTempNumbLable, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_CurrentTempNumbLable, "35");
    lv_obj_set_style_text_color(ui_CurrentTempNumbLable, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_CurrentTempNumbLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_CurrentTempNumbLable, &ui_font_SourceHanSansCNBold93, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenTempUnitPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenTempUnitPanel, 33);
    lv_obj_set_height(ui_MainScreenTempUnitPanel, 30);
    lv_obj_set_x(ui_MainScreenTempUnitPanel, -60);
    lv_obj_set_y(ui_MainScreenTempUnitPanel, -82);
    lv_obj_set_align(ui_MainScreenTempUnitPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_MainScreenTempUnitPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_MainScreenTempUnitPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_MainScreenTempUnitPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenTempUnitPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_MainScreenTempUnitPanel, &ui_img_936214896, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_MainScreenTempUnitPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_MainScreenTempUnitPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_MainScreenTempUnitPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_MainScreenTempUnitPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_MainScreenTempUnitPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_MainScreenTempUnitPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenTempUnitLable = lv_label_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenTempUnitLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MainScreenTempUnitLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_MainScreenTempUnitLable, -60);
    lv_obj_set_y(ui_MainScreenTempUnitLable, -82);
    lv_obj_set_align(ui_MainScreenTempUnitLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_MainScreenTempUnitLable, "℃");
    lv_obj_set_style_text_font(ui_MainScreenTempUnitLable, &ui_font_SourceHanSansCNRegular35,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_CurrentTempPointNumbLable = lv_label_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_CurrentTempPointNumbLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_CurrentTempPointNumbLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_CurrentTempPointNumbLable, -60);
    lv_obj_set_y(ui_CurrentTempPointNumbLable, -36);
    lv_obj_set_align(ui_CurrentTempPointNumbLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_CurrentTempPointNumbLable, ".5");
    lv_obj_set_style_text_color(ui_CurrentTempPointNumbLable, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_CurrentTempPointNumbLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_CurrentTempPointNumbLable, &ui_font_SourceHanSansCNRegular40,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenModeLabel = lv_label_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenModeLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MainScreenModeLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_MainScreenModeLabel, -6);
    lv_obj_set_y(ui_MainScreenModeLabel, -24);
    lv_obj_set_align(ui_MainScreenModeLabel, LV_ALIGN_RIGHT_MID);
    lv_label_set_text(ui_MainScreenModeLabel, "Cooling");
    lv_obj_set_style_text_color(ui_MainScreenModeLabel, lv_color_hex(0x34D5DB), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_MainScreenModeLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_MainScreenModeLabel, &ui_font_SourceHanSansCNRegular19, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ThirdGearMainPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_ThirdGearMainPanel, 288);
    lv_obj_set_height(ui_ThirdGearMainPanel, 94);
    lv_obj_set_x(ui_ThirdGearMainPanel, -77);
    lv_obj_set_y(ui_ThirdGearMainPanel, 76);
    lv_obj_set_align(ui_ThirdGearMainPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_ThirdGearMainPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ThirdGearMainPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ThirdGearMainPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_ThirdGearMainPanel, &ui_img_fan_background_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ThirdGearMainPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ThirdGearMainPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_ThirdGearMainPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_ThirdGearMainPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_ThirdGearMainPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_ThirdGearMainPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ThirdGearClickPanel = lv_obj_create(ui_ThirdGearMainPanel);
    lv_obj_set_width(ui_ThirdGearClickPanel, 85);
    lv_obj_set_height(ui_ThirdGearClickPanel, 94);
    lv_obj_set_x(ui_ThirdGearClickPanel, 18);
    lv_obj_set_y(ui_ThirdGearClickPanel, 0);
    lv_obj_set_align(ui_ThirdGearClickPanel, LV_ALIGN_RIGHT_MID);
    lv_obj_clear_flag(ui_ThirdGearClickPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ThirdGearClickPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ThirdGearClickPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_ThirdGearClickPanel, &ui_img_fan_click_background_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ThirdGearClickPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ThirdGearClickPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_ThirdGearClickPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_ThirdGearClickPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_ThirdGearClickPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_ThirdGearClickPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_ThirdGearClickPanel, &ui_img_fan_click_fan_png, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_ThirdGearClickTextLable = lv_label_create(ui_ThirdGearClickPanel);
    lv_obj_set_width(ui_ThirdGearClickTextLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ThirdGearClickTextLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ThirdGearClickTextLable, -2);
    lv_obj_set_y(ui_ThirdGearClickTextLable, 22);
    lv_obj_set_align(ui_ThirdGearClickTextLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_ThirdGearClickTextLable, "Fan");
    lv_obj_set_style_text_color(ui_ThirdGearClickTextLable, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ThirdGearClickTextLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ThirdGearClickTextLable, &ui_font_SourceHanSansCNRegular14,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ThirdGearClickFanIconImage = lv_img_create(ui_ThirdGearClickPanel);
    lv_img_set_src(ui_ThirdGearClickFanIconImage, &ui_img_20_fan_speed_icon_png);
    lv_obj_set_width(ui_ThirdGearClickFanIconImage, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ThirdGearClickFanIconImage, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ThirdGearClickFanIconImage, -2);
    lv_obj_set_y(ui_ThirdGearClickFanIconImage, -7);
    lv_obj_set_align(ui_ThirdGearClickFanIconImage, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_ThirdGearClickFanIconImage, LV_OBJ_FLAG_ADV_HITTEST);     /// Flags
    lv_obj_clear_flag(ui_ThirdGearClickFanIconImage, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_img_set_angle(ui_ThirdGearClickFanIconImage, 3600);

    ui_ThirdGearTextLable = lv_label_create(ui_ThirdGearMainPanel);
    lv_obj_set_width(ui_ThirdGearTextLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ThirdGearTextLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ThirdGearTextLable, 6);
    lv_obj_set_y(ui_ThirdGearTextLable, 15);
    lv_obj_set_align(ui_ThirdGearTextLable, LV_ALIGN_LEFT_MID);
    lv_label_set_text(ui_ThirdGearTextLable, "Auto");
    lv_obj_set_style_text_color(ui_ThirdGearTextLable, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ThirdGearTextLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ThirdGearTextLable, &ui_font_SourceHanSansCNRegular22, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ThirdGear1GearImage = lv_img_create(ui_ThirdGearMainPanel);
    lv_img_set_src(ui_ThirdGear1GearImage, &ui_img_1_fan_default_png);
    lv_obj_set_width(ui_ThirdGear1GearImage, 50);
    lv_obj_set_height(ui_ThirdGear1GearImage, 40);
    lv_obj_set_x(ui_ThirdGear1GearImage, 7);
    lv_obj_set_y(ui_ThirdGear1GearImage, 8);
    lv_obj_set_align(ui_ThirdGear1GearImage, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_ThirdGear1GearImage, LV_OBJ_FLAG_ADV_HITTEST);     /// Flags
    lv_obj_clear_flag(ui_ThirdGear1GearImage, LV_OBJ_FLAG_SCROLLABLE);      /// Flags

    ui_SetTempMainPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_SetTempMainPanel, 124);
    lv_obj_set_height(ui_SetTempMainPanel, 192);
    lv_obj_set_x(ui_SetTempMainPanel, 152);
    lv_obj_set_y(ui_SetTempMainPanel, 125);
    lv_obj_set_align(ui_SetTempMainPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_SetTempMainPanel, LV_OBJ_FLAG_CHECKABLE);     /// Flags
    lv_obj_clear_flag(ui_SetTempMainPanel, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_SetTempMainPanel, 25, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_SetTempMainPanel, lv_color_hex(0x1E222B), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_SetTempMainPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_SetTempMainPanel, lv_color_hex(0x343842), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_SetTempMainPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_SetTempMainPanel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_blend_mode(ui_SetTempMainPanel, LV_BLEND_MODE_NORMAL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_opa(ui_SetTempMainPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_SetTempMainPanel, lv_color_hex(0x0F1013), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_SetTempMainPanel, 255, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_blend_mode(ui_SetTempMainPanel, LV_BLEND_MODE_NORMAL, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_opa(ui_SetTempMainPanel, 180, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_radius(ui_SetTempMainPanel, 25, LV_PART_MAIN | LV_STATE_EDITED);
    lv_obj_set_style_bg_color(ui_SetTempMainPanel, lv_color_hex(0x1E222B), LV_PART_MAIN | LV_STATE_EDITED);
    lv_obj_set_style_bg_opa(ui_SetTempMainPanel, 255, LV_PART_MAIN | LV_STATE_EDITED);
    lv_obj_set_style_border_color(ui_SetTempMainPanel, lv_color_hex(0x406457), LV_PART_MAIN | LV_STATE_EDITED);
    lv_obj_set_style_border_opa(ui_SetTempMainPanel, 255, LV_PART_MAIN | LV_STATE_EDITED);
    lv_obj_set_style_border_width(ui_SetTempMainPanel, 2, LV_PART_MAIN | LV_STATE_EDITED);
    lv_obj_set_style_border_side(ui_SetTempMainPanel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_EDITED);

    ui_SetTempMainAddIconPanel = lv_obj_create(ui_SetTempMainPanel);
    lv_obj_set_width(ui_SetTempMainAddIconPanel, 115);
    lv_obj_set_height(ui_SetTempMainAddIconPanel, 60);
    lv_obj_set_x(ui_SetTempMainAddIconPanel, -2);
    lv_obj_set_y(ui_SetTempMainAddIconPanel, -63);
    lv_obj_set_align(ui_SetTempMainAddIconPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_SetTempMainAddIconPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_SetTempMainAddIconPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_SetTempMainAddIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_SetTempMainAddIconPanel, &ui_img_554927970, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_SetTempMainAddIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_SetTempMainAddIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_SetTempMainAddIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_SetTempMainAddIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_SetTempMainAddIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_SetTempMainAddIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_blend_mode(ui_SetTempMainAddIconPanel, LV_BLEND_MODE_NORMAL, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_opa(ui_SetTempMainAddIconPanel, 100, LV_PART_MAIN | LV_STATE_CHECKED);

    ui_SetTempMainMinusIconPanel = lv_obj_create(ui_SetTempMainPanel);
    lv_obj_set_width(ui_SetTempMainMinusIconPanel, 117);
    lv_obj_set_height(ui_SetTempMainMinusIconPanel, 53);
    lv_obj_set_x(ui_SetTempMainMinusIconPanel, -2);
    lv_obj_set_y(ui_SetTempMainMinusIconPanel, 71);
    lv_obj_set_align(ui_SetTempMainMinusIconPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_SetTempMainMinusIconPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_SetTempMainMinusIconPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_SetTempMainMinusIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_SetTempMainMinusIconPanel, &ui_img_554917224, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_SetTempMainMinusIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_SetTempMainMinusIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_color(ui_SetTempMainMinusIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_outline_opa(ui_SetTempMainMinusIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_color(ui_SetTempMainMinusIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_shadow_opa(ui_SetTempMainMinusIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_blend_mode(ui_SetTempMainMinusIconPanel, LV_BLEND_MODE_NORMAL, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_opa(ui_SetTempMainMinusIconPanel, 100, LV_PART_MAIN | LV_STATE_CHECKED);

    ui_SetTempMainSetTempLable = lv_label_create(ui_SetTempMainPanel);
    lv_obj_set_width(ui_SetTempMainSetTempLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_SetTempMainSetTempLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_SetTempMainSetTempLable, 2);
    lv_obj_set_y(ui_SetTempMainSetTempLable, -11);
    lv_obj_set_align(ui_SetTempMainSetTempLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_SetTempMainSetTempLable, "Set Temp");
    lv_label_set_recolor(ui_SetTempMainSetTempLable, "true");
    lv_obj_set_style_text_color(ui_SetTempMainSetTempLable, lv_color_hex(0x868686), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_SetTempMainSetTempLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_SetTempMainSetTempLable, &ui_font_SourceHanSansCNRegular16,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SetTempMainSetTempValueLable = lv_label_create(ui_SetTempMainPanel);
    lv_obj_set_width(ui_SetTempMainSetTempValueLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_SetTempMainSetTempValueLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_SetTempMainSetTempValueLable, 2);
    lv_obj_set_y(ui_SetTempMainSetTempValueLable, 21);
    lv_obj_set_align(ui_SetTempMainSetTempValueLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_SetTempMainSetTempValueLable, "37.0");
    lv_obj_add_flag(ui_SetTempMainSetTempValueLable, LV_OBJ_FLAG_CHECKABLE);     /// Flags
    lv_obj_set_style_text_color(ui_SetTempMainSetTempValueLable, lv_color_hex(0x29BE88), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_SetTempMainSetTempValueLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_SetTempMainSetTempValueLable, &ui_font_SourceHanSansCNRegular30,
                               LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_color(ui_SetTempMainSetTempValueLable, lv_color_hex(0x808080), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_text_opa(ui_SetTempMainSetTempValueLable, 255, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_blend_mode(ui_SetTempMainSetTempValueLable, LV_BLEND_MODE_NORMAL, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_opa(ui_SetTempMainSetTempValueLable, 180, LV_PART_MAIN | LV_STATE_CHECKED);

    ui_MainScreenOnOffButtonPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenOnOffButtonPanel, 85);
    lv_obj_set_height(ui_MainScreenOnOffButtonPanel, 71);
    lv_obj_set_x(ui_MainScreenOnOffButtonPanel, -180);
    lv_obj_set_y(ui_MainScreenOnOffButtonPanel, 192);
    lv_obj_set_align(ui_MainScreenOnOffButtonPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_MainScreenOnOffButtonPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MainScreenOnOffButtonPanel, 25, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenOnOffButtonPanel, lv_color_hex(0x1E222B), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenOnOffButtonPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_MainScreenOnOffButtonPanel, &ui_img_20_click_onoff_icon_png,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_MainScreenOnOffButtonPanel, lv_color_hex(0x343842), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_MainScreenOnOffButtonPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_radius(ui_MainScreenOnOffButtonPanel, 25, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_color(ui_MainScreenOnOffButtonPanel, lv_color_hex(0x363C4A), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_opa(ui_MainScreenOnOffButtonPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_border_color(ui_MainScreenOnOffButtonPanel, lv_color_hex(0x343842), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_border_opa(ui_MainScreenOnOffButtonPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_MainScreenModeButtonPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenModeButtonPanel, 85);
    lv_obj_set_height(ui_MainScreenModeButtonPanel, 71);
    lv_obj_set_x(ui_MainScreenModeButtonPanel, -78);
    lv_obj_set_y(ui_MainScreenModeButtonPanel, 192);
    lv_obj_set_align(ui_MainScreenModeButtonPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_MainScreenModeButtonPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MainScreenModeButtonPanel, 25, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenModeButtonPanel, lv_color_hex(0x1E222B), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenModeButtonPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_MainScreenModeButtonPanel, lv_color_hex(0x343842), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_MainScreenModeButtonPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_radius(ui_MainScreenModeButtonPanel, 25, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_color(ui_MainScreenModeButtonPanel, lv_color_hex(0x363C4A), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_opa(ui_MainScreenModeButtonPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_border_color(ui_MainScreenModeButtonPanel, lv_color_hex(0x343842), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_border_opa(ui_MainScreenModeButtonPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_ModeButtonIconPanel = lv_obj_create(ui_MainScreenModeButtonPanel);
    lv_obj_set_width(ui_ModeButtonIconPanel, 38);
    lv_obj_set_height(ui_ModeButtonIconPanel, 36);
    lv_obj_set_x(ui_ModeButtonIconPanel, 0);
    lv_obj_set_y(ui_ModeButtonIconPanel, -10);
    lv_obj_set_align(ui_ModeButtonIconPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_ModeButtonIconPanel, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ModeButtonIconPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ModeButtonIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_ModeButtonIconPanel, &ui_img_20_click_mode_cool_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ModeButtonIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ModeButtonIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ModeButtonTextLabel = lv_label_create(ui_MainScreenModeButtonPanel);
    lv_obj_set_width(ui_ModeButtonTextLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ModeButtonTextLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ModeButtonTextLabel, 0);
    lv_obj_set_y(ui_ModeButtonTextLabel, 16);
    lv_obj_set_align(ui_ModeButtonTextLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_ModeButtonTextLabel, "Auto");
    lv_obj_set_style_text_font(ui_ModeButtonTextLabel, &ui_font_SourceHanSansCNRegular14, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenMuneButtonPanel = lv_obj_create(ui_MainScreenOnPanel);
    lv_obj_set_width(ui_MainScreenMuneButtonPanel, 85);
    lv_obj_set_height(ui_MainScreenMuneButtonPanel, 71);
    lv_obj_set_x(ui_MainScreenMuneButtonPanel, 24);
    lv_obj_set_y(ui_MainScreenMuneButtonPanel, 192);
    lv_obj_set_align(ui_MainScreenMuneButtonPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_MainScreenMuneButtonPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MainScreenMuneButtonPanel, 25, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenMuneButtonPanel, lv_color_hex(0x1E222B), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenMuneButtonPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_MainScreenMuneButtonPanel, &ui_img_20_click_menu_icon_png,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_MainScreenMuneButtonPanel, lv_color_hex(0x343842), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_MainScreenMuneButtonPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_radius(ui_MainScreenMuneButtonPanel, 25, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_color(ui_MainScreenMuneButtonPanel, lv_color_hex(0x363C4A), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_opa(ui_MainScreenMuneButtonPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_border_color(ui_MainScreenMuneButtonPanel, lv_color_hex(0x343842), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_border_opa(ui_MainScreenMuneButtonPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_MainScreenTurnOffPanel = lv_obj_create(ui_MainScreen);
    lv_obj_set_width(ui_MainScreenTurnOffPanel, 480);
    lv_obj_set_height(ui_MainScreenTurnOffPanel, 480);
    lv_obj_set_align(ui_MainScreenTurnOffPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_MainScreenTurnOffPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_MainScreenTurnOffPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MainScreenTurnOffPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenTurnOffPanel, lv_color_hex(0x171819), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenTurnOffPanel, 170, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_MainScreenTurnOffPanel, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_TurnOffBackgroundPanel = lv_obj_create(ui_MainScreenTurnOffPanel);
    lv_obj_set_width(ui_TurnOffBackgroundPanel, 352);
    lv_obj_set_height(ui_TurnOffBackgroundPanel, 311);
    lv_obj_set_align(ui_TurnOffBackgroundPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_TurnOffBackgroundPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_TurnOffBackgroundPanel, 20, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_TurnOffBackgroundPanel, lv_color_hex(0x282A2D), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_TurnOffBackgroundPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_TurnOffBackgroundPanel, lv_color_hex(0x959596), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_TurnOffBackgroundPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_TurnOffBackgroundPanel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_TurnOffBackgroundPanel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_TurnOffBackgroundLabel = lv_label_create(ui_TurnOffBackgroundPanel);
    lv_obj_set_width(ui_TurnOffBackgroundLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_TurnOffBackgroundLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_TurnOffBackgroundLabel, 0);
    lv_obj_set_y(ui_TurnOffBackgroundLabel, -80);
    lv_obj_set_align(ui_TurnOffBackgroundLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_TurnOffBackgroundLabel, "Power Off confirmation");
    lv_obj_set_style_text_color(ui_TurnOffBackgroundLabel, lv_color_hex(0xE0E0E0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_TurnOffBackgroundLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_TurnOffBackgroundLabel, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_TurnOffClickedCancelPanel = lv_obj_create(ui_TurnOffBackgroundPanel);
    lv_obj_set_width(ui_TurnOffClickedCancelPanel, 193);
    lv_obj_set_height(ui_TurnOffClickedCancelPanel, 52);
    lv_obj_set_x(ui_TurnOffClickedCancelPanel, 0);
    lv_obj_set_y(ui_TurnOffClickedCancelPanel, 13);
    lv_obj_set_align(ui_TurnOffClickedCancelPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_TurnOffClickedCancelPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_TurnOffClickedCancelPanel, 10, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_TurnOffClickedCancelPanel, lv_color_hex(0x171819), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_TurnOffClickedCancelPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_TurnOffClickedCancelPanel, lv_color_hex(0x4E4E4E), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_TurnOffClickedCancelPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_TurnOffClickedCancelPanel, 2, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_TurnOffClickedCancelPanel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_radius(ui_TurnOffClickedCancelPanel, 10, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_color(ui_TurnOffClickedCancelPanel, lv_color_hex(0x171819), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_opa(ui_TurnOffClickedCancelPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);
    ui_object_set_themeable_style_property(ui_TurnOffClickedCancelPanel, LV_PART_MAIN | LV_STATE_PRESSED,
                                           LV_STYLE_BORDER_COLOR, _ui_theme_color_green);
    ui_object_set_themeable_style_property(ui_TurnOffClickedCancelPanel, LV_PART_MAIN | LV_STATE_PRESSED,
                                           LV_STYLE_BORDER_OPA, _ui_theme_alpha_green);
    lv_obj_set_style_border_width(ui_TurnOffClickedCancelPanel, 2, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_border_side(ui_TurnOffClickedCancelPanel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_TurnOffClickedCancelLabel = lv_label_create(ui_TurnOffClickedCancelPanel);
    lv_obj_set_width(ui_TurnOffClickedCancelLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_TurnOffClickedCancelLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_TurnOffClickedCancelLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_TurnOffClickedCancelLabel, "Cancel");
    lv_obj_set_style_text_color(ui_TurnOffClickedCancelLabel, lv_color_hex(0x989898), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_TurnOffClickedCancelLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_TurnOffClickedCancelLabel, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_color(ui_TurnOffClickedCancelLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_text_opa(ui_TurnOffClickedCancelLabel, 255, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_TurnOffClickedConfirmPanel = lv_obj_create(ui_TurnOffBackgroundPanel);
    lv_obj_set_width(ui_TurnOffClickedConfirmPanel, 193);
    lv_obj_set_height(ui_TurnOffClickedConfirmPanel, 52);
    lv_obj_set_x(ui_TurnOffClickedConfirmPanel, 0);
    lv_obj_set_y(ui_TurnOffClickedConfirmPanel, 90);
    lv_obj_set_align(ui_TurnOffClickedConfirmPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_TurnOffClickedConfirmPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_TurnOffClickedConfirmPanel, 10, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_TurnOffClickedConfirmPanel, lv_color_hex(0x171819), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_TurnOffClickedConfirmPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_TurnOffClickedConfirmPanel, lv_color_hex(0x4E4E4E), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_TurnOffClickedConfirmPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_TurnOffClickedConfirmPanel, 2, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_TurnOffClickedConfirmPanel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_radius(ui_TurnOffClickedConfirmPanel, 10, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_color(ui_TurnOffClickedConfirmPanel, lv_color_hex(0x171819), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_opa(ui_TurnOffClickedConfirmPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);
    ui_object_set_themeable_style_property(ui_TurnOffClickedConfirmPanel, LV_PART_MAIN | LV_STATE_PRESSED,
                                           LV_STYLE_BORDER_COLOR, _ui_theme_color_green);
    ui_object_set_themeable_style_property(ui_TurnOffClickedConfirmPanel, LV_PART_MAIN | LV_STATE_PRESSED,
                                           LV_STYLE_BORDER_OPA, _ui_theme_alpha_green);
    lv_obj_set_style_border_width(ui_TurnOffClickedConfirmPanel, 2, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_border_side(ui_TurnOffClickedConfirmPanel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_TurnOffClickedConfirmLabel = lv_label_create(ui_TurnOffClickedConfirmPanel);
    lv_obj_set_width(ui_TurnOffClickedConfirmLabel, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_TurnOffClickedConfirmLabel, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_align(ui_TurnOffClickedConfirmLabel, LV_ALIGN_CENTER);
    lv_label_set_text(ui_TurnOffClickedConfirmLabel, "Confirm");
    lv_obj_set_style_text_color(ui_TurnOffClickedConfirmLabel, lv_color_hex(0x989898), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_TurnOffClickedConfirmLabel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_TurnOffClickedConfirmLabel, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_color(ui_TurnOffClickedConfirmLabel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_text_opa(ui_TurnOffClickedConfirmLabel, 255, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_text_font(ui_TurnOffClickedConfirmLabel, &ui_font_SourceHanSansCNRegular25,
                               LV_PART_MAIN | LV_STATE_PRESSED);

    ui_MainScreenOffPanel = lv_obj_create(ui_MainScreen);
    lv_obj_set_width(ui_MainScreenOffPanel, 480);
    lv_obj_set_height(ui_MainScreenOffPanel, 480);
    lv_obj_set_align(ui_MainScreenOffPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_MainScreenOffPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_MainScreenOffPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MainScreenOffPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenOffPanel, lv_color_hex(0x171819), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenOffPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_MainScreenOffPanel, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_SaswellIconPanel = lv_obj_create(ui_MainScreenOffPanel);
    lv_obj_set_width(ui_SaswellIconPanel, 140);
    lv_obj_set_height(ui_SaswellIconPanel, 19);
    lv_obj_set_x(ui_SaswellIconPanel, 0);
    lv_obj_set_y(ui_SaswellIconPanel, 208);
    lv_obj_set_align(ui_SaswellIconPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_SaswellIconPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_SaswellIconPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_SaswellIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_SaswellIconPanel, &ui_img_saswell_icon_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_SaswellIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_SaswellIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenOffIconPanel = lv_obj_create(ui_MainScreenOffPanel);
    lv_obj_set_width(ui_MainScreenOffIconPanel, 266);
    lv_obj_set_height(ui_MainScreenOffIconPanel, 273);
    lv_obj_set_x(ui_MainScreenOffIconPanel, 0);
    lv_obj_set_y(ui_MainScreenOffIconPanel, -5);
    lv_obj_set_align(ui_MainScreenOffIconPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_MainScreenOffIconPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_MainScreenOffIconPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenOffIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_MainScreenOffIconPanel, &ui_img_house_icon_png, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_MainScreenOffIconPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_MainScreenOffIconPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenOffClickedPanel = lv_obj_create(ui_MainScreenOffIconPanel);
    lv_obj_set_width(ui_MainScreenOffClickedPanel, 141);
    lv_obj_set_height(ui_MainScreenOffClickedPanel, 131);
    lv_obj_set_x(ui_MainScreenOffClickedPanel, 0);
    lv_obj_set_y(ui_MainScreenOffClickedPanel, 25);
    lv_obj_set_align(ui_MainScreenOffClickedPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_MainScreenOffClickedPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_MainScreenOffClickedPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenOffClickedPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_MainScreenOffClickedPanel, &ui_img_20_green_off_icon_png,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_MainScreenOffClickedPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_MainScreenOffClickedPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenOffClickedPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_opa(ui_MainScreenOffClickedPanel, 0, LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_img_src(ui_MainScreenOffClickedPanel, &ui_img_20_green_off_icon_png,
                                LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_border_color(ui_MainScreenOffClickedPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_border_opa(ui_MainScreenOffClickedPanel, 0, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_MainScreenOffCurrentTempTextLable = lv_label_create(ui_MainScreenOffPanel);
    lv_obj_set_width(ui_MainScreenOffCurrentTempTextLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MainScreenOffCurrentTempTextLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_MainScreenOffCurrentTempTextLable, -65);
    lv_obj_set_y(ui_MainScreenOffCurrentTempTextLable, -200);
    lv_obj_set_align(ui_MainScreenOffCurrentTempTextLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_MainScreenOffCurrentTempTextLable, "Current Temp");
    lv_obj_add_flag(ui_MainScreenOffCurrentTempTextLable, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_set_style_text_color(ui_MainScreenOffCurrentTempTextLable, lv_color_hex(0xDCDCDC),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_MainScreenOffCurrentTempTextLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_MainScreenOffCurrentTempTextLable, &ui_font_SourceHanSansCNRegular16,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenOffCurrentTempLable = lv_label_create(ui_MainScreenOffPanel);
    lv_obj_set_width(ui_MainScreenOffCurrentTempLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_MainScreenOffCurrentTempLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_MainScreenOffCurrentTempLable, 0);
    lv_obj_set_y(ui_MainScreenOffCurrentTempLable, -196);
    lv_obj_set_align(ui_MainScreenOffCurrentTempLable, LV_ALIGN_CENTER);
    lv_label_set_text(ui_MainScreenOffCurrentTempLable, "Current temp 24.5 ℃");
    lv_obj_set_style_text_font(ui_MainScreenOffCurrentTempLable, &ui_font_SourceHanSansCNRegular31,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenChildLockTouchPanel = lv_obj_create(ui_MainScreen);
    lv_obj_set_width(ui_MainScreenChildLockTouchPanel, 480);
    lv_obj_set_height(ui_MainScreenChildLockTouchPanel, 480);
    lv_obj_set_align(ui_MainScreenChildLockTouchPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_MainScreenChildLockTouchPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_MainScreenChildLockTouchPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MainScreenChildLockTouchPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenChildLockTouchPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenChildLockTouchPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_MainScreenChildLockTouchPanel, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_MainScreenChildLockPasswordBackPanel = lv_obj_create(ui_MainScreen);
    lv_obj_set_width(ui_MainScreenChildLockPasswordBackPanel, 480);
    lv_obj_set_height(ui_MainScreenChildLockPasswordBackPanel, 480);
    lv_obj_set_align(ui_MainScreenChildLockPasswordBackPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_MainScreenChildLockPasswordBackPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_MainScreenChildLockPasswordBackPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MainScreenChildLockPasswordBackPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenChildLockPasswordBackPanel, lv_color_hex(0x000000),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenChildLockPasswordBackPanel, 125, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_MainScreenChildLockPasswordBackPanel, LV_BORDER_SIDE_NONE,
                                 LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ChildLockPasswordInputPanel = lv_obj_create(ui_MainScreenChildLockPasswordBackPanel);
    lv_obj_remove_style_all(ui_ChildLockPasswordInputPanel);
    lv_obj_set_width(ui_ChildLockPasswordInputPanel, 400);
    lv_obj_set_height(ui_ChildLockPasswordInputPanel, 400);
    lv_obj_set_align(ui_ChildLockPasswordInputPanel, LV_ALIGN_CENTER);
    lv_obj_clear_flag(ui_ChildLockPasswordInputPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_ChildLockPasswordInputPanel, 20, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ChildLockPasswordInputPanel, lv_color_hex(0x282A2D), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordInputPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ChildLockPasswordInputPanel, lv_color_hex(0x959596), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordInputPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_ChildLockPasswordInputPanel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ChildLockPasswordInputPanel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_color(ui_ChildLockPasswordInputPanel, lv_color_hex(0xE0E0E0), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ChildLockPasswordInputPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ChildLockPasswordInputPanel, &ui_font_SourceHanSansCNRegular24,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ChildLockPasswordInputPanelLable = lv_label_create(ui_ChildLockPasswordInputPanel);
    lv_obj_set_width(ui_ChildLockPasswordInputPanelLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ChildLockPasswordInputPanelLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ChildLockPasswordInputPanelLable, 0);
    lv_obj_set_y(ui_ChildLockPasswordInputPanelLable, 25);
    lv_obj_set_align(ui_ChildLockPasswordInputPanelLable, LV_ALIGN_TOP_MID);
    lv_label_set_text(ui_ChildLockPasswordInputPanelLable, "Enter Password");

    ui_ChildLockPasswordReturnPanel = lv_obj_create(ui_ChildLockPasswordInputPanel);
    lv_obj_set_width(ui_ChildLockPasswordReturnPanel, 75);
    lv_obj_set_height(ui_ChildLockPasswordReturnPanel, 75);
    lv_obj_clear_flag(ui_ChildLockPasswordReturnPanel, LV_OBJ_FLAG_GESTURE_BUBBLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ChildLockPasswordReturnPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordReturnPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_src(ui_ChildLockPasswordReturnPanel, &ui_img_20_return_icon_png,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ChildLockPasswordReturnPanel, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_img_recolor(ui_ChildLockPasswordReturnPanel, lv_color_hex(0xFFFFFF),
                                    LV_PART_MAIN | LV_STATE_PRESSED);
    lv_obj_set_style_bg_img_recolor_opa(ui_ChildLockPasswordReturnPanel, 255, LV_PART_MAIN | LV_STATE_PRESSED);

    ui_ChildLockPasswordInputPanelDisArea = lv_textarea_create(ui_ChildLockPasswordInputPanel);
    lv_obj_set_width(ui_ChildLockPasswordInputPanelDisArea, 184);
    lv_obj_set_height(ui_ChildLockPasswordInputPanelDisArea, 50);
    lv_obj_set_x(ui_ChildLockPasswordInputPanelDisArea, 0);
    lv_obj_set_y(ui_ChildLockPasswordInputPanelDisArea, 85);
    lv_obj_set_align(ui_ChildLockPasswordInputPanelDisArea, LV_ALIGN_TOP_MID);
    lv_textarea_set_max_length(ui_ChildLockPasswordInputPanelDisArea, 4);
    lv_obj_add_flag(ui_ChildLockPasswordInputPanelDisArea, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_ChildLockPasswordInputPanelDisArea, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_text_color(ui_ChildLockPasswordInputPanelDisArea, lv_color_hex(0xFFFFFF),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ChildLockPasswordInputPanelDisArea, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_align(ui_ChildLockPasswordInputPanelDisArea, LV_TEXT_ALIGN_CENTER,
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_radius(ui_ChildLockPasswordInputPanelDisArea, 10, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ChildLockPasswordInputPanelDisArea, lv_color_hex(0x161C27),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordInputPanelDisArea, 107, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ChildLockPasswordInputPanelDisArea, lv_color_hex(0x507B9A),
                                  LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordInputPanelDisArea, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_ChildLockPasswordInputPanelDisArea, 2, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ChildLockPasswordInputPanelDisArea, LV_BORDER_SIDE_FULL,
                                 LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ChildLockPasswordInputPanelErrorLable = lv_label_create(ui_ChildLockPasswordInputPanel);
    lv_obj_set_width(ui_ChildLockPasswordInputPanelErrorLable, LV_SIZE_CONTENT);   /// 1
    lv_obj_set_height(ui_ChildLockPasswordInputPanelErrorLable, LV_SIZE_CONTENT);    /// 1
    lv_obj_set_x(ui_ChildLockPasswordInputPanelErrorLable, 0);
    lv_obj_set_y(ui_ChildLockPasswordInputPanelErrorLable, 140);
    lv_obj_set_align(ui_ChildLockPasswordInputPanelErrorLable, LV_ALIGN_TOP_MID);
    lv_label_set_text(ui_ChildLockPasswordInputPanelErrorLable, "Wrong Password");
    lv_obj_add_flag(ui_ChildLockPasswordInputPanelErrorLable, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_set_style_text_color(ui_ChildLockPasswordInputPanelErrorLable, lv_color_hex(0xFF8D17),
                                LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_opa(ui_ChildLockPasswordInputPanelErrorLable, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ChildLockPasswordInputPanelErrorLable, &ui_font_SourceHanSansCNRegular16,
                               LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ChildLockPasswordInputPanelKeyboard = lv_keyboard_create(ui_ChildLockPasswordInputPanel);
    lv_keyboard_set_mode(ui_ChildLockPasswordInputPanelKeyboard, LV_KEYBOARD_MODE_USER_1);
    lv_obj_set_width(ui_ChildLockPasswordInputPanelKeyboard, 364);
    lv_obj_set_height(ui_ChildLockPasswordInputPanelKeyboard, 220);
    lv_obj_set_x(ui_ChildLockPasswordInputPanelKeyboard, 0);
    lv_obj_set_y(ui_ChildLockPasswordInputPanelKeyboard, -15);
    lv_obj_set_align(ui_ChildLockPasswordInputPanelKeyboard, LV_ALIGN_BOTTOM_MID);
    lv_obj_clear_flag(ui_ChildLockPasswordInputPanelKeyboard, LV_OBJ_FLAG_GESTURE_BUBBLE);      /// Flags
    lv_obj_set_style_bg_color(ui_ChildLockPasswordInputPanelKeyboard, lv_color_hex(0xFFFFFF),
                              LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordInputPanelKeyboard, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_left(ui_ChildLockPasswordInputPanelKeyboard, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_right(ui_ChildLockPasswordInputPanelKeyboard, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_top(ui_ChildLockPasswordInputPanelKeyboard, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_pad_bottom(ui_ChildLockPasswordInputPanelKeyboard, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    lv_obj_set_style_bg_color(ui_ChildLockPasswordInputPanelKeyboard, lv_color_hex(0xFFFFFF),
                              LV_PART_ITEMS | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordInputPanelKeyboard, 0, LV_PART_ITEMS | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ChildLockPasswordInputPanelKeyboard, lv_color_hex(0x5C6E8B),
                                  LV_PART_ITEMS | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordInputPanelKeyboard, 255, LV_PART_ITEMS | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_ChildLockPasswordInputPanelKeyboard, 1, LV_PART_ITEMS | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ChildLockPasswordInputPanelKeyboard, LV_BORDER_SIDE_FULL,
                                 LV_PART_ITEMS | LV_STATE_DEFAULT);
    lv_obj_set_style_text_font(ui_ChildLockPasswordInputPanelKeyboard, &lv_font_montserrat_30,
                               LV_PART_ITEMS | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ChildLockPasswordInputPanelKeyboard, lv_color_hex(0x29BE88),
                                  LV_PART_ITEMS | LV_STATE_PRESSED);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordInputPanelKeyboard, 255, LV_PART_ITEMS | LV_STATE_PRESSED);

    ui_ChildLockPasswordDot1Panel = lv_obj_create(ui_ChildLockPasswordInputPanel);
    lv_obj_set_width(ui_ChildLockPasswordDot1Panel, 16);
    lv_obj_set_height(ui_ChildLockPasswordDot1Panel, 16);
    lv_obj_set_x(ui_ChildLockPasswordDot1Panel, -50);
    lv_obj_set_y(ui_ChildLockPasswordDot1Panel, -100);
    lv_obj_set_align(ui_ChildLockPasswordDot1Panel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_ChildLockPasswordDot1Panel, LV_OBJ_FLAG_CHECKABLE);     /// Flags
    lv_obj_clear_flag(ui_ChildLockPasswordDot1Panel, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_ChildLockPasswordDot1Panel, 8, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ChildLockPasswordDot1Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordDot1Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ChildLockPasswordDot1Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordDot1Panel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_ChildLockPasswordDot1Panel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ChildLockPasswordDot1Panel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_radius(ui_ChildLockPasswordDot1Panel, 8, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_color(ui_ChildLockPasswordDot1Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordDot1Panel, 255, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_color(ui_ChildLockPasswordDot1Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordDot1Panel, 255, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_width(ui_ChildLockPasswordDot1Panel, 1, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_side(ui_ChildLockPasswordDot1Panel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_CHECKED);

    ui_ChildLockPasswordDot2Panel = lv_obj_create(ui_ChildLockPasswordInputPanel);
    lv_obj_set_width(ui_ChildLockPasswordDot2Panel, 16);
    lv_obj_set_height(ui_ChildLockPasswordDot2Panel, 16);
    lv_obj_set_x(ui_ChildLockPasswordDot2Panel, -17);
    lv_obj_set_y(ui_ChildLockPasswordDot2Panel, -100);
    lv_obj_set_align(ui_ChildLockPasswordDot2Panel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_ChildLockPasswordDot2Panel, LV_OBJ_FLAG_CHECKABLE);     /// Flags
    lv_obj_clear_flag(ui_ChildLockPasswordDot2Panel, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_ChildLockPasswordDot2Panel, 8, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ChildLockPasswordDot2Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordDot2Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ChildLockPasswordDot2Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordDot2Panel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_ChildLockPasswordDot2Panel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ChildLockPasswordDot2Panel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_radius(ui_ChildLockPasswordDot2Panel, 8, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_color(ui_ChildLockPasswordDot2Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordDot2Panel, 255, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_color(ui_ChildLockPasswordDot2Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordDot2Panel, 255, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_width(ui_ChildLockPasswordDot2Panel, 1, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_side(ui_ChildLockPasswordDot2Panel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_CHECKED);

    ui_ChildLockPasswordDot3Panel = lv_obj_create(ui_ChildLockPasswordInputPanel);
    lv_obj_set_width(ui_ChildLockPasswordDot3Panel, 16);
    lv_obj_set_height(ui_ChildLockPasswordDot3Panel, 16);
    lv_obj_set_x(ui_ChildLockPasswordDot3Panel, 17);
    lv_obj_set_y(ui_ChildLockPasswordDot3Panel, -100);
    lv_obj_set_align(ui_ChildLockPasswordDot3Panel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_ChildLockPasswordDot3Panel, LV_OBJ_FLAG_CHECKABLE);     /// Flags
    lv_obj_clear_flag(ui_ChildLockPasswordDot3Panel, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_ChildLockPasswordDot3Panel, 8, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ChildLockPasswordDot3Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordDot3Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ChildLockPasswordDot3Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordDot3Panel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_ChildLockPasswordDot3Panel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ChildLockPasswordDot3Panel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_radius(ui_ChildLockPasswordDot3Panel, 8, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_color(ui_ChildLockPasswordDot3Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordDot3Panel, 255, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_color(ui_ChildLockPasswordDot3Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordDot3Panel, 255, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_width(ui_ChildLockPasswordDot3Panel, 1, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_side(ui_ChildLockPasswordDot3Panel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_CHECKED);

    ui_ChildLockPasswordDot4Panel = lv_obj_create(ui_ChildLockPasswordInputPanel);
    lv_obj_set_width(ui_ChildLockPasswordDot4Panel, 16);
    lv_obj_set_height(ui_ChildLockPasswordDot4Panel, 16);
    lv_obj_set_x(ui_ChildLockPasswordDot4Panel, 50);
    lv_obj_set_y(ui_ChildLockPasswordDot4Panel, -100);
    lv_obj_set_align(ui_ChildLockPasswordDot4Panel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_ChildLockPasswordDot4Panel, LV_OBJ_FLAG_CHECKABLE);     /// Flags
    lv_obj_clear_flag(ui_ChildLockPasswordDot4Panel, LV_OBJ_FLAG_CLICKABLE | LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_ChildLockPasswordDot4Panel, 8, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ChildLockPasswordDot4Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordDot4Panel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ChildLockPasswordDot4Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordDot4Panel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_width(ui_ChildLockPasswordDot4Panel, 1, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_ChildLockPasswordDot4Panel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_radius(ui_ChildLockPasswordDot4Panel, 8, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_color(ui_ChildLockPasswordDot4Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_bg_opa(ui_ChildLockPasswordDot4Panel, 255, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_color(ui_ChildLockPasswordDot4Panel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_opa(ui_ChildLockPasswordDot4Panel, 255, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_width(ui_ChildLockPasswordDot4Panel, 1, LV_PART_MAIN | LV_STATE_CHECKED);
    lv_obj_set_style_border_side(ui_ChildLockPasswordDot4Panel, LV_BORDER_SIDE_FULL, LV_PART_MAIN | LV_STATE_CHECKED);

    ui_MainScreenWeekUpPanel = lv_obj_create(ui_MainScreen);
    lv_obj_set_width(ui_MainScreenWeekUpPanel, 480);
    lv_obj_set_height(ui_MainScreenWeekUpPanel, 480);
    lv_obj_set_align(ui_MainScreenWeekUpPanel, LV_ALIGN_CENTER);
    lv_obj_add_flag(ui_MainScreenWeekUpPanel, LV_OBJ_FLAG_HIDDEN);     /// Flags
    lv_obj_clear_flag(ui_MainScreenWeekUpPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_MainScreenWeekUpPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_MainScreenWeekUpPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_MainScreenWeekUpPanel, 255, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_side(ui_MainScreenWeekUpPanel, LV_BORDER_SIDE_NONE, LV_PART_MAIN | LV_STATE_DEFAULT);

    ui_ProductTestTouchPanel = lv_obj_create(ui_MainScreen);
    lv_obj_set_width(ui_ProductTestTouchPanel, 100);
    lv_obj_set_height(ui_ProductTestTouchPanel, 100);
    lv_obj_set_align(ui_ProductTestTouchPanel, LV_ALIGN_TOP_RIGHT);
    lv_obj_clear_flag(ui_ProductTestTouchPanel, LV_OBJ_FLAG_SCROLLABLE);      /// Flags
    lv_obj_set_style_radius(ui_ProductTestTouchPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_color(ui_ProductTestTouchPanel, lv_color_hex(0xFFFFFF), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_bg_opa(ui_ProductTestTouchPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_color(ui_ProductTestTouchPanel, lv_color_hex(0x000000), LV_PART_MAIN | LV_STATE_DEFAULT);
    lv_obj_set_style_border_opa(ui_ProductTestTouchPanel, 0, LV_PART_MAIN | LV_STATE_DEFAULT);

    lv_obj_add_event_cb(ui_ThirdGearClickPanel, ui_event_ThirdGearClickPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_SetTempMainAddIconPanel, ui_event_SetTempMainAddIconPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_SetTempMainMinusIconPanel, ui_event_SetTempMainMinusIconPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_MainScreenOnOffButtonPanel, ui_event_MainScreenOnOffButtonPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_MainScreenModeButtonPanel, ui_event_MainScreenModeButtonPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_MainScreenMuneButtonPanel, ui_event_MainScreenMuneButtonPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_TurnOffClickedCancelPanel, ui_event_TurnOffClickedCancelPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_TurnOffClickedConfirmPanel, ui_event_TurnOffClickedConfirmPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_MainScreenOffClickedPanel, ui_event_MainScreenOffClickedPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_MainScreenChildLockTouchPanel, ui_event_MainScreenChildLockTouchPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ChildLockPasswordReturnPanel, ui_event_ChildLockPasswordReturnPanel, LV_EVENT_ALL, NULL);
    lv_keyboard_set_textarea(ui_ChildLockPasswordInputPanelKeyboard, ui_ChildLockPasswordInputPanelDisArea);
    lv_obj_add_event_cb(ui_ChildLockPasswordInputPanelKeyboard, ui_event_ChildLockPasswordInputPanelKeyboard, LV_EVENT_ALL,
                        NULL);
    lv_obj_add_event_cb(ui_MainScreenChildLockPasswordBackPanel, ui_event_MainScreenChildLockPasswordBackPanel,
                        LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_MainScreenWeekUpPanel, ui_event_MainScreenWeekUpPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_ProductTestTouchPanel, ui_event_ProductTestTouchPanel, LV_EVENT_ALL, NULL);
    lv_obj_add_event_cb(ui_MainScreen, ui_event_MainScreen, LV_EVENT_ALL, NULL);

}
